Commit 70f57cf3 authored by Sandro Santilli's avatar Sandro Santilli

It's the object files that depend on headers, not the library

git-svn-id: http://svn.osgeo.org/postgis/trunk@13552 b70326c6-7e19-0410-871a-916f4a2858ee
parent 9965bbc1
......@@ -137,7 +137,7 @@ uninstall-liblwgeom:
$(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/liblwgeom.la"
# Make all objects depend upon postgis_config.h and postgis_svn_revision.h
$(LT_OBJS): ../postgis_config.h ../postgis_svn_revision.h
$(LT_OBJS): ../postgis_config.h ../postgis_svn_revision.h $(SA_HEADERS)
../postgis_svn_revision.h:
$(MAKE) -C .. postgis_svn_revision.h
......@@ -145,7 +145,7 @@ $(LT_OBJS): ../postgis_config.h ../postgis_svn_revision.h
#liblwgeom.a: $(SA_OBJS) $(NM_OBJS) $(SA_HEADERS)
#ar rs liblwgeom.a $(SA_OBJS) $(NM_OBJS)
liblwgeom.la: $(LT_OBJS) $(SA_HEADERS)
liblwgeom.la: $(LT_OBJS)
$(LIBTOOL) --tag=CC --mode=link $(CC) -rpath $(libdir) $(LT_OBJS) -release $(SOVER) $(LDFLAGS) -o $@
maintainer-clean: clean
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment